<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Cash Print";
$file = "cash_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='002' ") or die(mysqli_error($conn));

    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <table class="table table-condensed table-hover table-bordered">
                <tr class="mySearchTr">
                    <th>Sr. No.</th>
                    <th>Name</th>
                    <th>Initial</th>
                    <th>Opening Balance</th>
                </tr>
                <?php
                $ctr = 1;
                while ($pmain = mysqli_fetch_array($getpmain)) {


                    echo "<tr>";
                    echo "<td>$ctr</td>";
                    echo "<td>$pmain[name]</td>";
                    echo "<td>$pmain[init]</td>";
                    echo "<td>$pmain[openbal]</td>";
                    echo "</tr>";
                    $ctr++;
                }
                ?>
            </table>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?php
}
if (isset($_POST["excel"])) {
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='002' ") or die(mysqli_error($conn));

    $contents .= "Sr. No.,Name,Initial,Opening Balance\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= $ctr . ",";
        $contents .= $pmain['name'] . ",";
        $contents .= $pmain['init'] . ",";
        $contents .= $pmain['openbal'] . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>